Berkeley DB version 4.6.21

## com.sleepycat.db
Class DatabaseType

    java.lang.Object
      com.sleepycat.db.DatabaseType

    public final class DatabaseType

extends Object

Database types.

Field Summary
`static DatabaseType` `BTREE` The database is a Btree.
`static DatabaseType` `HASH` The database is a Hash.
`static DatabaseType` `QUEUE` The database is a Queue.
`static DatabaseType` `RECNO` The database is a Recno.
`static DatabaseType` `UNKNOWN` The database type is unknown.

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BTREE

    public static final DatabaseType BTREE

  The database is a Btree. The Btree format is a representation of a sorted, balanced tree structure.

### HASH

    public static final DatabaseType HASH

  The database is a Hash. The Hash format is an extensible, dynamic hashing scheme.

### QUEUE

    public static final DatabaseType QUEUE

  The database is a Queue. The Queue format supports fast access to fixed-length records accessed sequentially or by logical record number.

### RECNO

    public static final DatabaseType RECNO

  The database is a Recno. The Recno format supports fixed- or variable-length records, accessed sequentially or by logical record number, and optionally backed by a flat text file.

### UNKNOWN

    public static final DatabaseType UNKNOWN

  The database type is unknown.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Berkeley DB version 4.6.21

Copyright (c) 1996,2007 Oracle. All rights reserved.